<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class MemberLabel extends \Google\Protobuf\Internal\Message
{
    


    protected $label = null;
    


    protected $labelTimestamp = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getLabel()
    {
        return isset($this->label) ? $this->label : '';
    }

    public function hasLabel()
    {
        return isset($this->label);
    }

    public function clearLabel()
    {
        unset($this->label);
    }

    




    public function setLabel($var)
    {
        GPBUtil::checkString($var, True);
        $this->label = $var;

        return $this;
    }

    



    public function getLabelTimestamp()
    {
        return isset($this->labelTimestamp) ? $this->labelTimestamp : 0;
    }

    public function hasLabelTimestamp()
    {
        return isset($this->labelTimestamp);
    }

    public function clearLabelTimestamp()
    {
        unset($this->labelTimestamp);
    }

    




    public function setLabelTimestamp($var)
    {
        GPBUtil::checkInt64($var);
        $this->labelTimestamp = $var;

        return $this;
    }

}

